> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firmable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# People Search

> Search for people by id, company id, position, seniority, and department

## Description

Search for people by company id, position, seniority, and department.

Please pass ids for seniority and department as listed below.

## Acceptable seniority and department ids

#### Seniority:

* `1`: Board Member / Company Director
* `2`: Owner / Founder
* `3`: C-Suite / Partner
* `4`: VP/Director / Head of
* `5`: Manager
* `6`: Other
* `7`: No Data Available

#### Department:

* `1`: General Management
* `2`: Sales
* `3`: Trades
* `4`: Operations
* `5`: Engineering & Technical
* `6`: Human Resources
* `7`: Customer Service
* `8`: Medicine & Healthcare
* `9`: Research & Analysis
* `10`: Legal
* `11`: Marketing
* `12`: Education & Training
* `13`: Consulting
* `14`: Finance
* `15`: Product
* `16`: Other
* `17`: No Data Available


## OpenAPI

````yaml POST /people/search
openapi: 3.0.1
info:
  title: Firmable API
  description: >-
    The Firmable API provides access to company and people data across
    Australia. Use it to look up company profiles, retrieve contact information,
    and search for people by company, position, seniority, and department.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.firmable.com
security:
  - bearerAuth: []
paths:
  /people/search:
    post:
      description: Search for people by id, company id, position, seniority, and department
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - companyId
              properties:
                selectedCountry:
                  type: string
                  description: 'The country to search against. (example: AU)'
                companyId:
                  type: string
                  description: >-
                    The unique identifier for a company in the Firmable system.
                    (example: f000000117274)
                position:
                  type: string
                  description: 'The position of the person. (example: Software Engineer)'
                seniority:
                  type: string
                  description: 'The seniority of the person. (example: Senior)'
                department:
                  type: string
                  description: 'The department of the person. (example: Engineering)'
                from:
                  type: string
                  description: 'The offset to start the search from. (example: 0)'
                size:
                  type: string
                  description: 'The size of the search results. (example: 10)'
      responses:
        '200':
          description: People search response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PeopleSearch'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PeopleSearch:
      type: array
      items:
        type: object
        properties:
          person_id:
            type: string
            description: The Firmable ID of the person.
            example: f000000117274
          position:
            type: string
            description: The position of the person.
            example: Software Engineer
          company_name:
            type: string
            description: The name of the company the person works for.
            example: Senior
          linkedin:
            type: string
            description: LinkedIn profile handle.
            example: person_slug
          has_email:
            type: boolean
            description: Whether the person has an email address.
            example: true
          has_personal_email:
            type: boolean
            description: Whether the person has a personal email address.
            example: true
          has_phone:
            type: boolean
            description: Whether the person has a phone number.
            example: true
          has_dnd_phone:
            type: boolean
            description: Whether the person number is a DND number.
            example: true
          has_mobile:
            type: boolean
            description: Whether the person has a mobile number.
            example: true
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````